/*
 * Copyright (c) 2015 by inovat, innovative systeme - verkehr - tunnel - technik, Dipl.-Ing. H. C. Kniss
 *
 * This file is part of de.bsvrz.kex.tls.osi7.conversion.EakDefaultTest
 *
 * de.bsvrz.kex.tls.osi7.conversion.EakDefaultTest is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  de.bsvrz.kex.tls.osi7.conversion.EakDefaultTest is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with de.bsvrz.kex.tls.osi7.conversion.EakDefaultTest.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Diese Datei ist Teil von de.bsvrz.kex.tls.osi7.conversion.EakDefaultTest.
 *
 *  de.bsvrz.kex.tls.osi7.conversion.EakDefaultTest ist Freie Software: Sie knnen es unter den Bedingungen
 *  der GNU General Public License, wie von der Free Software Foundation,
 *  Version 3 der Lizenz oder (nach Ihrer Wahl) jeder spteren
 *  verffentlichten Version, weiterverbreiten und/oder modifizieren.
 *
 *  de.bsvrz.kex.tls.osi7.conversion.EakDefaultTest wird in der Hoffnung, dass es ntzlich sein wird, aber
 *  OHNE JEDE GEWHRLEISTUNG, bereitgestellt; sogar ohne die implizite
 *  Gewhrleistung der MARKTFHIGKEIT oder EIGNUNG FR EINEN BESTIMMTEN ZWECK.
 *  Siehe die GNU General Public License fr weitere Details.
 *
 *  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
 *  Programm erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.
 *
 * Contact Information:
 * inovat, Dipl.-Ing. H. C. Kniss
 * An der Krautwiese 37
 * D-53783 Eitorf
 * +49 (0)2243 8464 193
 * info@inovat.de
 * www.inovat.de
 */

package de.bsvrz.kex.tls.osi7.conversion;

import de.bsvrz.sys.funclib.debug.Debug;
import junit.framework.*;

/**
 * Created by Kappich+Kni Systemberatung Aachen (K2S)
 *
 * @author Hans Christian Kni (HCK)
 * @version $Revision$ / $Date$ / ($Author$)
 */

public class EakDefaultTest extends TestCase {
// ------------------------------------------------------------------------
// STATISCHE METHODEN
// ------------------------------------------------------------------------

	public static Test suite() {
		TestSuite suite = new TestSuite(EakDefaultTest.class);

		//Debug.setLoggerLevel("DEFAULT", Debug.ERROR);
		Debug.setHandlerLevel("StdErr", Debug.ALL);
		//Debug.setHandlerLevel("FileText", Debug.OFF);
		//Debug.setHandlerLevel("FileHTML", Debug.OFF);
		//Debug.setHandlerLevel("FileXML", Debug.OFF);
		//Debug.setHandlerLevel("FileExcel", Debug.OFF);

		return suite;
	}

// ------------------------------------------------------------------------
// KONSTRUKTOREN  (und vom Konstruktor verwende Methoden)
// ------------------------------------------------------------------------

	public EakDefaultTest(String testName) {
		super(testName);
	}

// ------------------------------------------------------------------------
// SONSTIGE METHODEN
// ------------------------------------------------------------------------

	protected void setUp() throws Exception {
		super.setUp();
	}

	protected void tearDown() throws Exception {
		super.tearDown();
	}

	/**
	 *
	 * @throws InterruptedException 
	 */
	public void testSetTimeStamp() throws InterruptedException {
		EakDefault eak = null;
		eak = new EakDefault(null, null, null);

		//	    eak.setTimeStamp(0);
		//	    eak.setTimeStamp(-1, -1, -1, -1, -1, -1, -1);
		//
		//	    eak.setTimeStamp(0);
		//	    eak.setTimeStamp(-1, -1, -1, -1, -1, -1, 0);
		//
		//	    eak.setTimeStamp(0);
		//	    eak.setTimeStamp(-1, -1, -1, 12, -1, -1, -1);
		//
		//	    eak.setTimeStamp(0);
		//	    eak.setTimeStamp(-1, -1, -1, 128, -1, -1, -1);
		//
		//	    eak.setTimeStamp(0);
		//	    eak.setTimeStamp(-1, -1, -1, 129, -1, -1, -1);
		//
		//	    eak.setTimeStamp(System.currentTimeMillis());
		//	    eak.setTimeStamp(-1, -1, -1, 129, -1, -1, -1);
		//
		//	    eak.setTimeStamp(System.currentTimeMillis());
		//	    eak.setTimeStamp(-1, -1, -1, 128+13, -1, -1, -1);
		//
		//	    eak.setTimeStamp(System.currentTimeMillis());
		//	    eak.setTimeStamp(-1, -1, -1, 128+23, 59, 57, -1);

		eak.setTimeStamp(1088546400000L);
		eak.setTimeStamp(-1, -1, -1, 128 + 23, 59, 57, -1);

		eak.setTimeStamp(1088546400000L);
		eak.setTimeStamp(-1, -1, -1, 0 + 23, 59, 57, -1);

		eak.setTimeStamp(1088546300000L);
		eak.setTimeStamp(-1, -1, -1, 128 + 0, 1, 10, -1);

		eak.setTimeStamp(1088546300000L);
		eak.setTimeStamp(2005, -1, -1, 0 + 0, 1, 10, -1);

		eak.setTimeStamp(1088546300000L);
		eak.setTimeStamp(7, -1, -1, 0 + 0, 1, 10, -1);
	}
}
